<p id="notice"><%= notice %></p>
<div class="container">
    <nav class="breadcrumb">
    <%= link_to "Home", root_path, class: "breadcrumb-item"%>
    <%= link_to @project.name, project_path(@project), class: "breadcrumb-item" %>
    <%= link_to "Tickets", project_tickets_path, class: "breadcrumb-item" %>
    <span class="breadcrumb-item active"> <%= @ticket.subject %></span>
  </nav>
  <div class="row">
  <div class="col-sm-10">
    <div class="card">
      <div class="card-header">
          <b> <%= @ticket.subject %></b>
          <div class="pull-right">
          <% if current_user.id == @ticket.user_id %>
            <%= link_to "<i class='fa fa-pencil'></i>".html_safe, edit_project_ticket_path(@project, @ticket) %> &nbsp;
            <% end %>
            <%= link_to   "<i class='fa fa-clock-o'></i>".html_safe, new_project_ticket_timelog_path(@project,@ticket) %> &nbsp;
            <i class='fa fa-star'></i>&nbsp;
            <%= link_to "<i class='fa fa-angle-double-left'></i>".html_safe, project_ticket_path(@project, @ticket.previous) if @ticket.previous %> &nbsp;|&nbsp;
            <%= @ticket.placement+1 %> of <%= @project.tickets.count %>&nbsp;|&nbsp;
            <%= link_to "<i class='fa fa-angle-double-right'></i>".html_safe, project_ticket_path(@project, @ticket.next) if @ticket.next %>
          </div>
      </div>
      <div class="card-block">
        <p class="text-muted small"> Created in <%= time_ago_in_words(@ticket.created_at)%> ago. <% if @ticket.comments.try(:any?) %> Updated <%= time_ago_in_words(@ticket.comments.maximum('updated_at')) %> ago.<% end %> </p>
        <div class="row">
          <div class="col-6">
            <dl class="row">
              <dt class="col-sm-4">Status</dt>
                <dd class="col-sm-8"> <%= @ticket.state %> </dd>
              <dt class="col-sm-4">Priority</dt>
                <dd class="col-sm-8"><%= @ticket.priority %></dd>
              <dt class="col-sm-4">Assignee</dt>
                <dd class="col-sm-8 text-red"><%= @users.find(@ticket.user_id).name %>&nbsp;<%= @users.find(@ticket.user_id).last_name %></dd>  
            </dl>
          </div>
          <div class="col-6">
            <dl class="row">
              <dt class="col-sm-4">Start date</dt>
                <dd class="col-sm-8"><%= @ticket.created_at.to_formatted_s(:long)  %></dd>
              <dt class="col-sm-4">Due date</dt>
                <dd class="col-sm-8"><%=  distance_of_time_in_words(Time.now, @ticket.closed_at, options = {})  if @ticket.closed_at? %></dd>
              <dt class="col-sm-4"> Spent time </dt>
                <dd class="col-sm-8"> <%= @ticket.timelogs.sum('spend_time') if @ticket.timelogs.try(:any?) %> </dd>
            </dl>
          </div>
        </div>
        <dl class="row">
          <dt class="col-sm-2">Description</dt>
            <dd class="col-sm-10"> <%= @ticket.description %> </dd>
        </dl>

      </div>
    </div>
  </div>
  </div>
<div class="row">
  <div class="col-sm-10">
  <div class="card">
    <div class="card-header">
      <b> Checklist <%= link_to "<i class='fa fa-plus'></i>".html_safe, new_project_ticket_checkbox_path(@project, @ticket) %> </b>     
    </div>
    <% if @ticket.checkboxes.try(:any?) %>
    <div class="card-block">

          <% @ticket.checkboxes.each do |c| %>
            <% if c.completed_at? %>
            <div class="row">
              <div class="col-sm-1">
                <i class='fa fa-check-square-o'></i>
                <%= link_to "<i class='fa fa-times'></i>".html_safe, project_ticket_checkbox_path(@project, @ticket, c), method: :delete, data: { confirm: 'Are you sure?' } %>
              </div>
              <div class="col-sm-4">
                <s><%= c.content %></s>
              </div>
              </div>
              <% else %>
            <div class="row">
              <div class="col-sm-1">
                <%= link_to "<i class='fa fa-square-o'></i>".html_safe, complete_project_ticket_checkbox_path(@project,@ticket, c), method: :patch %>
              </div>
              <div class="col-sm-4">
                <%= c.content %>
              </div>
              </div>
              <% end %>
          <% end %>     
    </div>
    <% end %>
  
  </div>
  </div>
  </div>
  <br>
  <div class="row">
    <div class="col-sm-10">
    <div class="card-header" role="tab" id="headingOne">
      <b class="mb-0">
      <% if @ticket.timelogs.try(:any?) %>
        <a data-toggle="collapse" data-parent="#accordion" href="#timelogs" aria-expanded="false" aria-controls="collapseOne"> Time Logs <span class="text-muted small pull-right"> Last log <%= time_ago_in_words(@ticket.timelogs.maximum('created_at')) %> ago.</span> <i class="fa fa-angle-down"></i>
        </a>
        <% else %>
          Time Logs
        <% end %>
      </b>
    </div>

    <div id="timelogs" class="collapse" role="tabpanel" aria-labelledby="headingOne">
      <div class="card-block">
      <table class="table table-bordered table-striped">
        <thead>
          <tr>
            <th>ID</th>
            <th>Time</th>
            <th>Activity</th>
            <th>Note</th>
          </tr>
        </thead>
        <tbody>
          <% @ticket.timelogs.each do |timelog| %>
            <tr>
              <td> <%= timelog.id %></td>
              <td> <%= timelog.spend_time%></td>
              <td> <%= timelog.activity%></td>
              <td> <%= timelog.comment%></td>
            </tr>
          <% end %>
        </tbody>
        <tfoot>
          <tr>
            <th> SUM </i></th>
            <th> <%= @ticket.timelogs.sum('spend_time') if @ticket.timelogs.try(:any?) %> </th>
          </tr>
        </tfoot>
      </table>
      </div>
    </div>
    </div>
  </div>
  <br>
  <div class="row">
    <div class="col-sm-10">
      <div class="card">
        <div class="card-header"><b>Comments</b></div>
        <div class="card-block">
        <% if @ticket.comments.try(:any?) %>
        <% @ticket.comments.each do |comment| %>
          <div class="row">
          <div class="col-sm-8">
            <div class="card">
              <div class="card-header small"> Created by xy <%= time_ago_in_words(comment.created_at) %> ago.
              <div class="pull-right"> 
              <%= link_to "<i class='fa fa-pencil'></i>".html_safe, edit_project_ticket_comment_path(@project,@ticket,comment) %> &nbsp;
              <%= link_to "<i class='fa fa-times'></i>".html_safe , project_ticket_comment_path(@project,@ticket,comment), method: :delete, data: { confirm: 'Are you sure?' } %>
                
              </div> 
              </div>
              <div class="card-block"> 
                <%= comment.note %>
              </div>
            </div>
          </div>
          </div>
          <br>
          <%end %>
          <% else %>
          <p class="text-muted small"> No Comments to show </p>
          <%end %>
        </div>
      </div>
    </div>
  </div>
  <br>
  <div class="row">
    <div class="col-sm-10">
      <div class="card">
        <div class="card-header"><b>New Comment</b></div>
        <div class="card-block">
        <div class="col-md-10">
          <%= render 'comments/form', comment: @comment %>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
</div>

